Index: debian/changelog
===================================================================
--- debian/changelog	(revision 1477)
+++ debian/changelog	(working copy)
@@ -1,6 +1,13 @@
 devscripts (2.10.30) UNRELEASED; urgency=low
 
-  * NOT RELEASED YET
+  * debchange:
+    + Don't automatically open an editor when creating a new changelog if
+      a package name and version are supplied and either --empty was used
+      or the text of a changelog entry was supplied on the command line.
+      Based on a patch from Steve Magoun (Closes: #4843334)
+    + Don't automatically add an "initial release" stanza to a newly created
+      changelog if the text of a changelog entry was supplied on the command
+      line. Thanks Steve Magoun.
 
  -- Adam D. Barratt <adam@adam-barratt.org.uk>  Tue, 03 Jun 2008 21:15:58 +0100
 
Index: scripts/debchange.pl
===================================================================
--- scripts/debchange.pl	(revision 1428)
+++ scripts/debchange.pl	(working copy)
@@ -1245,7 +1245,8 @@
     $line=0;
 }
 elsif ($opt_create) {
-    if (! $initial_release and ! $opt_news and ! $opt_empty) {
+    if (! $initial_release and ! $opt_news and ! $opt_empty and
+	! $TEXT and ! $EMPTY_TEXT) {
 	push @closes_text, "Initial release. (Closes: \#XXXXXX)\n";
     }
 
@@ -1286,7 +1287,9 @@
 }
 
 # Now Run the Editor; always run if doing "closes" to give a chance to check
-if ((!$TEXT and !$EMPTY_TEXT) or @closes_text or $opt_create) {
+if ((!$TEXT and !$EMPTY_TEXT and ! ($opt_create and $opt_empty)) or @closes_text or
+    ($opt_create and ! ($PACKAGE ne 'PACKAGE' and $VERSION ne 'VERSION'))) {
+
     my $mtime = (stat("$changelog_path.dch"))[9];
     defined $mtime or fatal
 	"Error getting modification time of temporary $changelog_path: $!";
